/**
 * {}
 * @author yutent<yutent.io@gmail.com>
 * @date 2023/07/20 14:19:13
 */

import 'es.shim'
import { $, bind } from 'wkit'

function test1() {
  try {
    window.webkit.messageHandlers.app.postMessage({
      data: { foo: 'Test 1' }
    })
    $('#output').innerHTML = '这是没有回调的 '
  } catch (err) {
    alert(err)
  }
}

function test2() {
  native.handler('blabla', { foo: 'bar' }).then(r => {
    $('#output').innerHTML = JSON.stringify(r)
  })
}

bind($('.btn1'), 'click', test1)
bind($('.btn2'), 'click', test2)
